Я получаю "Mcrypt PHP extension required" , когда я набираю php artisan serve в моем терминале

Я получаю "Mcrypt PHP extension required" , когда я набираю php artisan serve в моем терминале

25.02.2020 09:22:00 Просмотров 25 Источник

Я создал проект в laravel, но когда я пытаюсь запустить его с php artisan serve, я получаю эту ошибку: требуется расширение Mcrypt PHP . Мне нужна помощь.

У вопроса есть решение - Посмотреть?

https://stackoverflow.com/questions/60388595/i-am-getting-mcrypt-php-extension-required-when-i-type-php-artisan-serve-in-my#comment106827100_60388595
Вы можете найти подробный ответ здесь .
https://stackoverflow.com/questions/60388595/i-am-getting-mcrypt-php-extension-required-when-i-type-php-artisan-serve-in-my#comment106827107_60388595
Вы использовали ubuntu или windows, где вы получаете эту ошибку, потому что для обоих команд отличается.
https://stackoverflow.com/questions/60388595/i-am-getting-mcrypt-php-extension-required-when-i-type-php-artisan-serve-in-my#comment106827119_60388595
Это ответ на ваш вопрос? Laravel требует расширения Mcrypt PHP

Ответы - Я получаю "Mcrypt PHP extension required" , когда я набираю php artisan serve в моем терминале / I am getting "Mcrypt PHP extension required" when I type php artisan serve in my terminal

Sachin Lathiya

25.02.2020 09:24:38

включить расширение mcrypt на php.ini-файл

Abdullah Al Mamun

25.02.2020 09:34:33

Перейти к PHP.ini файл ebanle расширение mycrypt. Проверьте, присутствует ли mycrypt в вашем каталоге расширений. если не найден, то загрузите mycrpyt из https://pecl.php.net / (окна)

на Linux

$ sudo apt install php-dev libmcrypt-dev php-pear
$ sudo pecl channel-update pecl.php.net
$ sudo pecl install mcrypt-1.0.1
Закрыть X